Subject: Re: [dhcwg] AD review of draft-ietf-dhc-pxelinux-02

From: "David W. Hankins" <[email-masked]>
Date: Wed, 5 Sep 2007 09:03:19 -0700

On Mon, Aug 27, 2007 at 12:28:59PM +0300, Jari Arkko wrote:
> I have made my AD review on this document.

Thank you, Jari.

> >   Please add normative reference to RFC 854 where NVT-ASCII
> >   first appears.

This term is used consistently in many other DHC related documents
(as early as RFC2132 and several drafts on the table today) without
an 854 citation.

I was just following suit, but I don't see the harm in a citation.

There are several other drafts still in DHCWG (and possibly some
in the editor's queue?) which use this term and also don't cite
telnet (or anything to define it).  So for consistency's sake, we
should make an effort to find them.

> >   Change the last sentence of Section 1 from
> >
> >    Each option as they are defined below carries a response to RFC3942.
> >
> >   to
> >
> >    Each option definition below provides a response to RFC3942.

I agree.

> >   Change the last paragraph of Section 3.4 from
> >
> >    It is not only reasonable to utilize this option code for another
> >    purpose, it is recommended, except that it is undesirable for any
> >    future consumer of this option code to have to suffer potential
> >    collisions in legacy userbases.
> >
> >   to
> >
> >    It is reasonable to utilize this option code for another
> >    purpose, but it is recommended to do this at a later time,
> >    given desire to avoid potential collisions in legacy
> >    userbases.

I would say remove the second comma ("time given"), and yes this is
much clearer.

> >   Change the sentence in the abstract from
> >
> >    These codes were historically designated 'Site Local', but
> >    are presently being made available for allocation as standard
> >    DHCP Options.
> >
> >   to
> >
> >    These codes were historically designated 'Site Local', but
> >    are presently being made available for allocation as standard
> >    DHCP Options. This document marks these codes as assigned.

I think there has been another comment that the historic designation
is unimportant in the abstract.  If so this could be simplified
further;

   This document describes the use by PXELINUX of some DHCP Option Codes
   numbering from 208-211 to assist in network bootstrapping and assigns
   these codes to this purpose.

-- 
Ash bugud-gul durbatuluk agh burzum-ishi krimpatul.
Why settle for the lesser evil?	 https://secure.isc.org/store/t-shirt/
-- 
David W. Hankins	"If you don't do it right the first time,
Software Engineer		     you'll just have to do it again."
Internet Systems Consortium, Inc.		-- Jack T. Hankins
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg